## phonetisaurus 0.7.8

=== src/Makefile ===
# Makefile
#
# Copyright (c) [2012-], Josef Robert Novak
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
#  modification, are permitted #provided that the following conditions
#  are met:
#
#  * Redistributions of source code must retain the above copyright 
#    notice, this list of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above 
#    copyright notice, this list of #conditions and the following 
#    disclaimer in the documentation and/or other materials provided 
#    with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
# COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
# OF THE POSSIBILITY OF SUCH DAMAGE.
CC=g++
UNAME := $(shell uname)
ifeq ($(UNAME), Darwin)
LIBS=-lfst -ldl -lm
endif
ifeq ($(UNAME), Linux)
LIBS=-lfst -ldl -lm -lrt
endif

OUT=../phonetisaurus-g2p ../phonetisaurus-align ../phonetisaurus-arpa2fst ../phonetisaurus-arpa2wfst-omega ../phonetisaurus-g2p-omega
TMP=*.o
CFLAGS ?= -O2
THIRD_PARTIES_INCLUDE ?= -I3rdparty/sparsehash -I3rdparty/utfcpp
EXTRA=$(CFLAGS) $(THIRD_PARTIES_INCLUDE) $(CXXFLAGS) $(CPPFLAGS) 

POBJS=Phonetisaurus.o FstPathFinder.o MBRDecoder.o LatticePruner.o util.o
MOBJS=M2MFstAligner.o FstPathFinder.o MBRDecoder.o LatticePruner.o util.o
OOBJS=PhonetisaurusOmega.o PhonetisaurusE2F.o util.o FstPathFinder.o LatticePruner.o MBRDecoder.o

all: $(OUT)

%.o: %.cpp
	$(CC) $(EXTRA) -c $(<) -o $(@)

../phonetisaurus-align: $(MOBJS) phonetisaurus-align.cpp
	$(CC) $(EXTRA) $(LDFLAGS) $(MOBJS) phonetisaurus-align.cpp -o ../phonetisaurus-align $(LIBS)

../phonetisaurus-g2p: $(POBJS) phonetisaurus-g2p.cpp
	$(CC) $(EXTRA) $(LDFLAGS) $(POBJS) phonetisaurus-g2p.cpp -o ../phonetisaurus-g2p $(LIBS)

../phonetisaurus-arpa2fst: Arpa2Fst.o util.o phonetisaurus-arpa2fst.cpp
	$(CC) $(EXTRA) $(LDFLAGS) Arpa2Fst.o util.o phonetisaurus-arpa2fst.cpp -o ../phonetisaurus-arpa2fst $(LIBS)

../phonetisaurus-arpa2wfst-omega: ARPA2WFST.o util.o phonetisaurus-arpa2wfst-omega.cpp
	$(CC) $(EXTRA) $(LDFLAGS) ARPA2WFST.o util.o phonetisaurus-arpa2wfst-omega.cpp -o ../phonetisaurus-arpa2wfst-omega $(LIBS)

../phonetisaurus-g2p-omega: $(OOBJS) phonetisaurus-g2p-omega.cpp
	$(CC) $(EXTRA) $(LDFLAGS) $(OOBJS) phonetisaurus-g2p-omega.cpp -o ../phonetisaurus-g2p-omega $(LIBS)

clean:
	$(RM) $(OUT) $(TMP)

=== tests/Makefile ===
# Makefile
#
# Copyright (c) [2012-], Josef Robert Novak
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
#  modification, are permitted #provided that the following conditions
#  are met:
#
#  * Redistributions of source code must retain the above copyright 
#    notice, this list of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above 
#    copyright notice, this list of #conditions and the following 
#    disclaimer in the documentation and/or other materials provided 
#    with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
# COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
# OF THE POSSIBILITY OF SUCH DAMAGE.
CC=g++
UNAME := $(shell uname)
ifeq ($(UNAME), Darwin)
LIBS=-lfst -ldl -lm
endif
ifeq ($(UNAME), Linux)
LIBS=-lfst -ldl -lm -lrt
endif

OUT=phonetisaurus-perp phonetisaurus-e2f
TMP=*.o
CFLAGS ?= -O2
THIRD_PARTIES_INCLUDE ?= -I../src/3rdparty/sparsehash -I../src/3rdparty/utfcpp -I../src
EXTRA=$(CFLAGS) $(THIRD_PARTIES_INCLUDE) $(CXXFLAGS) $(CPPFLAGS) 

all: $(OUT)

%.o: %.cpp
	$(CC) $(EXTRA) -c $(<) -o $(@)

phonetisaurus-perp: ../src/MBRDecoder.o ../src/PhonetisaurusE2F.o ../src/PhonetisaurusOmega.o ../src/FstPathFinder.o ../src/util.o phonetisaurus-perp.cpp
	$(CC) $(EXTRA) $(LDFLAGS) ../src/MBRDecoder.o ../src/PhonetisaurusE2F.o ../src/PhonetisaurusOmega.o ../src/FstPathFinder.o ../src/util.o phonetisaurus-perp.cpp -o phonetisaurus-perp $(LIBS)

phonetisaurus-e2f: ../src/PhonetisaurusE2F.o ../src/util.o phonetisaurus-e2f.cpp
	$(CC) $(EXTRA) $(LDFLAGS) ../src/PhonetisaurusE2F.o ../src/util.o phonetisaurus-e2f.cpp -o phonetisaurus-e2f $(LIBS)

get-syms: get-syms
	$(CC) $(EXTRA) $(LDFLAGS) get-syms.cpp -o get-syms $(LIBS)
clean:
	$(RM) $(OUT) $(TMP)

=== debian/changelog ===
phonetisaurus (0.7.8-6) experimental; urgency=medium

  * Fix compilation with openfst > 1.4.0.
    Add -std=c++11 to CXXFLAGS.
    Remove -D_GLIBCXX_USE_CXX11_ABI=0 from CXXFLAGS.

 -- Giulio Paci <giuliopaci@gmail.com>  Sat, 20 Feb 2016 18:48:55 +0100

phonetisaurus (0.7.8-5) experimental; urgency=medium

  * Fix compilation with openfst < 1.4.0.
    Remove -std=c++11 and add -D_GLIBCXX_USE_CXX11_ABI=0
    to CXXFLAGS.

 -- Giulio Paci <giuliopaci@gmail.com>  Sat, 20 Feb 2016 18:29:47 +0100

phonetisaurus (0.7.8-4) experimental; urgency=medium

  * Add -std=c++11 to CXXFLAGS.
  * Bump Standards-Version to 3.9.7.
    No changes required.
  * Update homepage links.
  * Update Vcs-* fields.
  * Drop unused section in copyright.

 -- Giulio Paci <giuliopaci@gmail.com>  Tue, 16 Feb 2016 02:51:54 +0100

phonetisaurus (0.7.8-3) experimental; urgency=medium

  * Add 2001_fix_calculateER_binary_lookup.patch.
    (Closes: #736433)
  * Drop phonetisaurus.lintian-overrides.
  * Bump Standards-Version.
    No change required.

 -- Giulio Paci <giuliopaci@gmail.com>  Thu, 23 Jan 2014 15:32:21 +0100

phonetisaurus (0.7.8-2) experimental; urgency=low

  * Add 1004_fix_ftbfs_on_non_linux.patch.
    (Closes: #701678)
  * Add 1005_fix_ftbfs_on_gnu_hurd.patch.
    (Closes: 701764)

 -- Giulio Paci <giuliopaci@gmail.com>  Wed, 27 Feb 2013 01:36:13 +0100

phonetisaurus (0.7.8-1) experimental; urgency=low

  * New upstream version 0.7.8
    + Refresh patches.
    + Refresh manpages.
  * Update Vcs-Git field in control.
  * Add 1002_fix_misspellings.patch.
  * Add 1003_fix_compiler_warnings.patch.
  * Add preliminary phonetisaurus-arpa2wfst-omega.1 manpage.
  * Add preliminary phonetisaurus-calculateER-omega.1 manpage.
  * Add preliminary phonetisaurus-g2p-omega.1 manpage.

 -- Giulio Paci <giuliopaci@gmail.com>  Wed, 13 Feb 2013 01:13:11 +0100

phonetisaurus (0.7.5-1) experimental; urgency=low

  * New upstream version 0.7.5.
  * Add 1001_fix_binaries_return_values.patch. (Closes: #693313)
  * Drop 1001_avoid_segmentation_fault_on_empty_input.patch.
  * Drop 1002_fix_some_warnings.patch.
  * Drop 1003_fix_clean_target.patch.
  * Drop 1004_avoid_segmentation_fault_on_empty_model.patch.

 -- Giulio Paci <giuliopaci@gmail.com>  Fri, 16 Nov 2012 20:59:00 +0100

phonetisaurus (0.6-1) experimental; urgency=low

  * Initial Release. (Closes: #663643)

 -- Giulio Paci <giuliopaci@gmail.com>  Sat, 27 Oct 2012 17:22:27 +0200

=== debian/control ===
Source: phonetisaurus
Section: science
Priority: optional
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Build-Depends: cdbs,
 devscripts,
 debhelper (>= 9~),
 dh-buildinfo,
 libsparsehash-dev,
 libfst-dev (>= 1.4.0),
 python (>= 2.6.6-3~),
 dpkg-dev (>= 1.16.2)
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/phonetisaurus.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/phonetisaurus.git
Homepage: https://github.com/AdolfVonKleist/Phonetisaurus

Package: phonetisaurus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: libfst-tools, mitlm, m2m-aligner, flite
Built-Using: ${misc:Built-Using}
Description: Grapheme to Phoneme conversion tool
 Phonetisaurus is a tool to perform Grapheme to Phoneme conversion
 that is it provides pronunciation (or spelling) hypotheses given a
 word's ortographic representation. It is possible to require more
 than one hypotheses for each word. Phonetisaurus is implemented as a
 Weighted Finite State Transducer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

DEB_BUILD_PARALLEL := 1

DEB_SRCDIR := src
CXXFLAGS:=$(CXXFLAGS) -std=c++11

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_MAKE_EXTRA_ARGS += THIRD_PARTIES_INCLUDE="-I3rdparty/utfcpp"

BUILT_USING_SOURCES := $(shell dpkg-query -W -f='$${source:Package} (= $${source:Version})' libsparsehash-dev)
DEB_DH_GENCONTROL_ARGS_phonetisaurus := -- '-Vmisc:Built-Using=$(BUILT_USING_SOURCES)'

$(patsubst %,binary-install-python/%,$(DEB_PACKAGES)) :: binary-install-python/%: binary-install/%
	dh_python2 -p$(cdbs_curpkg)

DEB_TAR_SRCDIR := .

# Needed by upstream build process
CDBS_BUILD_DEPENDS += libsparsehash-dev, libfst-dev (>= 1.4.0), python (>= 2.6.6-3~), dpkg-dev (>= 1.16.2)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/phonetisaurus-$1\.tar\.gz/ \
  https://github.com/AdolfVonKleist/Phonetisaurus/releases .*/v?(\d\S*)\.tar\.gz
